Androidユーザー様へお願い

Androidユーザー様へお願い

割と重要なお知らせ
2016/09/13
vanillaice (Akira)
vanillaice (Akira)
Smartphone Android
Android端末スマートフォンをご利用の方へ
確認をお願いしたいことがございます

① お使いのOSのバージョンが Android4.4.3を含むそれ以前かどうか
② お使いのブラウザ名が「標準ブラウザ」かどうか



AndroidのOS バージョンの4.X系は非常にバグが多いことで知られています

・position: fixed でのwidth指定が無視される
z-index を正しく認識できない
・display: inline-block のカラム落ち
・webフォントを表示できない
・viewport設定が狂う

などなど
このOSバージョンでのデフォルトブラウザ名は「標準ブラウザ」ですが
この標準ブラウザ(あるいは Androidブラウザ という呼び名かもしれません)は
リリース元のGoogleが開発を中断しています
既に4.X以降のOSではバンドルされていません
現在のAndroidデフォルトブラウザは Google Chrome に変更されています

開発の終了したOSやブラウザというのは
それまでどれだけのバグ・グリッチを抱えていても
それ以上良くなることはありません

私のテンプレートでは
「ブラウザの最新バージョンとその一つ前までをサポート」
としてお願いをしております
現在のAndroid OSが 6.X
ということで 4.X系は既にかなり前のバージョンになります
ブラウザに至っては「標準ブラウザ」は廃止ですから
そもそも焦点を合わせた製作をしておりません

というわけで
Androidスマートフォンでなにかしら誤動作・誤表示がありました際には
OSのバージョン確認と使用ブラウザの確認をまず行なって頂きたいんです
そしてあまりにも古いOSバージョン 及び 廃止ブラウザについてはサポートができません
是非最新OSへのアップグレード・使用ブラウザを現況デフォルトのGoogle Chromeへ変更をお願い致します
よろしくお願いします (*_ _)

参考記事: Quiita 様
滅び行くAndroid 標準ブラウザをサポート外にして悩みの種をなくす話
割と重要なお知らせ